<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package bioxlab
 */
?>

<!doctype html>
<html <?php language_attributes();?>>
<head>
	<meta charset="<?php bloginfo( 'charset' );?>">
    <?php if ( is_singular() && pings_open( get_queried_object() ) ): ?>
    <?php endif;?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head();?>
</head>

<body <?php body_class();?>>

    <?php wp_body_open();?>


    <?php
        $bioxlab_preloader = get_theme_mod( 'bioxlab_preloader', false );
        $bioxlab_backtotop = get_theme_mod( 'bioxlab_backtotop', false );

        $bioxlab_preloader_logo = get_template_directory_uri() . '/assets/img/preloader.png';

        $preloader_logo = get_theme_mod('preloader_logo', $bioxlab_preloader_logo);
    ?>

    <?php if ( !empty( $bioxlab_preloader ) ): ?>
      <!-- preloader -->
      <div id="preloadertp">
         <img src="<?php echo esc_url($preloader_logo); ?>" alt="<?php echo esc_attr__('logo','bioxlab'); ?>">
      </div>
      <!-- preloader end  -->
    <?php endif;?>

    <?php if ( !empty( $bioxlab_backtotop ) ): ?>
      <!-- Scroll-top -->
      <button class="scroll-top scroll-to-target" data-target="html">
         <i class="fas fa-angle-up"></i>
      </button>
      <!-- Scroll-top-end--> 
    <?php endif;?>

    
    <!-- header start -->
    <?php do_action( 'bioxlab_header_style' );?>
    <!-- header end -->

    <?php do_action( 'bioxlab_before_main_content' );?>