<?php

/**
 * bioxlab_scripts description
 * @return [type] [description]
 */
function bioxlab_scripts() {

    /**
     * all css files
    */

    wp_enqueue_style( 'bioxlab-fonts', bioxlab_fonts_url(), array(), time() );
    if( is_rtl() ){
        wp_enqueue_style( 'bootstrap-rtl', BIOXLAB_THEME_CSS_DIR.'bootstrap.rtl.min.css', array() );
    }else{
        wp_enqueue_style( 'bootstrap', BIOXLAB_THEME_CSS_DIR.'bootstrap.min.css', array() );
    }
    wp_enqueue_style( 'animate', BIOXLAB_THEME_CSS_DIR . 'animate.css', [] );
    wp_enqueue_style( 'swiper-bundle', BIOXLAB_THEME_CSS_DIR . 'swiper-bundle.css', [] );
    wp_enqueue_style( 'bioxlab-slick', BIOXLAB_THEME_CSS_DIR . 'slick.css', [] );
    wp_enqueue_style( 'magnific-popup', BIOXLAB_THEME_CSS_DIR . 'magnific-popup.css', [] );
    wp_enqueue_style( 'font-awesome-pro', BIOXLAB_THEME_CSS_DIR . 'font-awesome-pro.css', [] );
    wp_enqueue_style( 'meanmenu', BIOXLAB_THEME_CSS_DIR . 'meanmenu.css', [] );
    wp_enqueue_style( 'nice-select', BIOXLAB_THEME_CSS_DIR . 'nice-select.css', [] );
    wp_enqueue_style( 'flaticon', BIOXLAB_THEME_CSS_DIR . 'flaticon.css', [] );
    wp_enqueue_style( 'jquery-fancybox', BIOXLAB_THEME_CSS_DIR . 'spacing.css', [] );
    wp_enqueue_style( 'bioxlab-core', BIOXLAB_THEME_CSS_DIR . 'bioxlab-core.css', [], time() );
    wp_enqueue_style( 'bioxlab-unit', BIOXLAB_THEME_CSS_DIR . 'bioxlab-unit.css', [], time() );
    wp_enqueue_style( 'bioxlab-custom', BIOXLAB_THEME_CSS_DIR . 'bioxlab-custom.css', [] );
    wp_enqueue_style( 'bioxlab-woo', BIOXLAB_THEME_CSS_DIR . 'woo.css', [] );
    wp_enqueue_style( 'bioxlab-style', get_stylesheet_uri() );

    // all js
    wp_enqueue_script( 'bootstrap-bundle', BIOXLAB_THEME_JS_DIR . 'bootstrap.bundle.min.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'swiper-bundle', BIOXLAB_THEME_JS_DIR . 'swiper-bundle.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'bioxlab-slick', BIOXLAB_THEME_JS_DIR . 'slick.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'magnific-popup', BIOXLAB_THEME_JS_DIR . 'magnific-popup.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'waypoints', BIOXLAB_THEME_JS_DIR . 'waypoints.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'counterup', BIOXLAB_THEME_JS_DIR . 'counterup.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'wow', BIOXLAB_THEME_JS_DIR . 'wow.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'jquery-nice-select', BIOXLAB_THEME_JS_DIR . 'nice-select.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'isotope-pkgd', BIOXLAB_THEME_JS_DIR . 'isotope-pkgd.js', [ 'imagesloaded' ], false, true );
    wp_enqueue_script( 'meanmenu', BIOXLAB_THEME_JS_DIR . 'meanmenu.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'appear', BIOXLAB_THEME_JS_DIR . 'jquery.appear.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'knob', BIOXLAB_THEME_JS_DIR . 'jquery.knob.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'bioxlab-main', BIOXLAB_THEME_JS_DIR . 'main.js', [ 'jquery' ], time(), true );

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'bioxlab_scripts' );

/*
Register Fonts
 */
function bioxlab_fonts_url() {
    $font_url = '';

    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'bioxlab' ) ) {
        $font_url = 'https://fonts.googleapis.com/css2?'. urlencode('family=Archivo:wght@300;400;500;600;700;800&family=Days+One&display=swap');
    }
    return $font_url;
}