<?php
/**
 * bioxlab customizer
 *
 * @package bioxlab
 */

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Added Panels & Sections
 */
function bioxlab_customizer_panels_sections( $wp_customize ) {

    //Add panel
    $wp_customize->add_panel( 'bioxlab_customizer', [
        'priority' => 10,
        'title'    => esc_html__( 'Bioxlab Customizer', 'bioxlab' ),
    ] );

    /**
     * Customizer Section
     */
    $wp_customize->add_section( 'header_top_setting', [
        'title'       => esc_html__( 'Header Info Setting', 'bioxlab' ),
        'description' => '',
        'priority'    => 10,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

    $wp_customize->add_section( 'header_social', [
        'title'       => esc_html__( 'Header Social', 'bioxlab' ),
        'description' => '',
        'priority'    => 11,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

    $wp_customize->add_section( 'section_header_logo', [
        'title'       => esc_html__( 'Header Setting', 'bioxlab' ),
        'description' => '',
        'priority'    => 12,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'bioxlab' ),
        'description' => '',
        'priority'    => 13,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

    $wp_customize->add_section( 'header_side_setting', [
        'title'       => esc_html__( 'Side Info', 'bioxlab' ),
        'description' => '',
        'priority'    => 14,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

    $wp_customize->add_section( 'breadcrumb_setting', [
        'title'       => esc_html__( 'Breadcrumb Setting', 'bioxlab' ),
        'description' => '',
        'priority'    => 15,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

    $wp_customize->add_section( 'blog_setting', [
        'title'       => esc_html__( 'Blog Setting', 'bioxlab' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

    $wp_customize->add_section( 'footer_setting', [
        'title'       => esc_html__( 'Footer Settings', 'bioxlab' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

    $wp_customize->add_section( 'color_setting', [
        'title'       => esc_html__( 'Color Setting', 'bioxlab' ),
        'description' => '',
        'priority'    => 17,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

    $wp_customize->add_section( '404_page', [
        'title'       => esc_html__( '404 Page', 'bioxlab' ),
        'description' => '',
        'priority'    => 18,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

    $wp_customize->add_section( 'typo_setting', [
        'title'       => esc_html__( 'Typography Setting', 'bioxlab' ),
        'description' => '',
        'priority'    => 21,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

    $wp_customize->add_section( 'slug_setting', [
        'title'       => esc_html__( 'Slug Settings', 'bioxlab' ),
        'description' => '',
        'priority'    => 22,
        'capability'  => 'edit_theme_options',
        'panel'       => 'bioxlab_customizer',
    ] );

}

add_action( 'customize_register', 'bioxlab_customizer_panels_sections' );

function _header_top_fields( $fields ) {
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'bioxlab_topbar_switch',
        'label'    => esc_html__( 'Topbar Swicher', 'bioxlab' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'bioxlab_preloader',
        'label'    => esc_html__( 'Preloader On/Off', 'bioxlab' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];


    $fields[] = [
        'type'     => 'switch',
        'settings' => 'bioxlab_backtotop',
        'label'    => esc_html__( 'Back To Top On/Off', 'bioxlab' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'bioxlab_header_right',
        'label'    => esc_html__( 'Header Right On/Off', 'bioxlab' ),
        'section'  => 'header_top_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];    

    // button
    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_button_text',
        'label'    => esc_html__( 'Button Text', 'bioxlab' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'BOOK APPOINTMENT', 'bioxlab' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'bioxlab_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];

    $fields[] = [
        'type'     => 'link',
        'settings' => 'bioxlab_button_link',
        'label'    => esc_html__( 'Button URL', 'bioxlab' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'bioxlab' ),
        'priority' => 10,
        'active_callback' => [
            [
                'setting'  => 'bioxlab_header_right',
                'operator' => '==',
                'value'    => true,
            ],
        ],
    ];


    // phone
    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_phone_num',
        'label'    => esc_html__( 'Phone Number', 'bioxlab' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '+9159008855', 'bioxlab' ),
        'priority' => 10,
    ];   

    // Office Time
    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_office_time_1',
        'label'    => esc_html__( 'Office Time 1', 'bioxlab' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'MONDAY - FRIDAY 09:00 AM - 05:00 PM', 'bioxlab' ),
        'priority' => 10,
    ];    

    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_office_time_2',
        'label'    => esc_html__( 'Office Time 2', 'bioxlab' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'SATURDAY 09:00 AM - 01:00 PM', 'bioxlab' ),
        'priority' => 10,
    ];    

    return $fields;

}
add_filter( 'kirki/fields', '_header_top_fields' );

/*
Header Social
 */
function _header_social_fields( $fields ) {
    // header section social
    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_topbar_fb_url',
        'label'    => esc_html__( 'Facebook Url', 'bioxlab' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'bioxlab' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_topbar_twitter_url',
        'label'    => esc_html__( 'Twitter Url', 'bioxlab' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'bioxlab' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_topbar_linkedin_url',
        'label'    => esc_html__( 'Linkedin Url', 'bioxlab' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'bioxlab' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_topbar_instagram_url',
        'label'    => esc_html__( 'Instagram Url', 'bioxlab' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'bioxlab' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_topbar_youtube_url',
        'label'    => esc_html__( 'Youtube Url', 'bioxlab' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'bioxlab' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_topbar_skype_url',
        'label'    => esc_html__( 'Skype Url', 'bioxlab' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'bioxlab' ),
        'priority' => 10,
    ];


    return $fields;
}
add_filter( 'kirki/fields', '_header_social_fields' );

/*
Header Settings
 */
function _header_header_fields( $fields ) {
    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_header',
        'label'       => esc_html__( 'Select Header Style', 'bioxlab' ),
        'section'     => 'section_header_logo',
        'placeholder' => esc_html__( 'Select an option...', 'bioxlab' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'header-style-1'   => get_template_directory_uri() . '/inc/img/header/header-1.png',
            'header-style-2' => get_template_directory_uri() . '/inc/img/header/header-2.png',
            'header-style-3'  => get_template_directory_uri() . '/inc/img/header/header-3.png',
            'header-style-4'  => get_template_directory_uri() . '/inc/img/header/header-4.png'
        ],
        'default'     => 'header-style-1',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'logo',
        'label'       => esc_html__( 'Header Logo', 'bioxlab' ),
        'description' => esc_html__( 'Upload Your Logo.', 'bioxlab' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'secondary_logo',
        'label'       => esc_html__( 'Header Secondary Logo', 'bioxlab' ),
        'description' => esc_html__( 'Header Logo Black', 'bioxlab' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo-white.png',
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'preloader_logo',
        'label'       => esc_html__( 'Preloader Logo', 'bioxlab' ),
        'description' => esc_html__( 'Upload Preloader Logo.', 'bioxlab' ),
        'section'     => 'section_header_logo',
        'default'     => get_template_directory_uri() . '/assets/img/preloader.png',
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'bioxlab_header_sticky',
        'label'    => esc_html__( 'Header Sticky On/Off', 'bioxlab' ),
        'section'  => 'section_header_logo',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ]; 

    return $fields;
}
add_filter( 'kirki/fields', '_header_header_fields' );

/*
Header Side Info
 */
function _header_side_fields( $fields ) {
    // side info settings
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'bioxlab_side_hide',
        'label'    => esc_html__( 'Side Info On/Off', 'bioxlab' ),
        'section'  => 'header_side_setting',
        'default'  => '0',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];  
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'bioxlab_side_logo',
        'label'       => esc_html__( 'Logo Side', 'bioxlab' ),
        'description' => esc_html__( 'Logo Side', 'bioxlab' ),
        'section'     => 'header_side_setting',
        'default'     => get_template_directory_uri() . '/assets/img/logo/logo-white.png',
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'bioxlab_extra_about_text',
        'label'    => esc_html__( 'Side Description Text', 'bioxlab' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'Our mission is to ensure the generation of accurate and precise findings.', 'bioxlab' ),
        'priority' => 10,
    ];

    // contact
    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_contact_title',
        'label'    => esc_html__( 'Contact Title', 'bioxlab' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'Contact Us', 'bioxlab' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'bioxlab_extra_address',
        'label'    => esc_html__( 'Office Address', 'bioxlab' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'Ta-134/A, Gulshan Badda Link', 'bioxlab' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_extra_phone',
        'label'    => esc_html__( 'Phone Number', 'bioxlab' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '61383766284', 'bioxlab' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_extra_email',
        'label'    => esc_html__( 'Email ID', 'bioxlab' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'noreply@envato.com', 'bioxlab' ),
        'priority' => 10,
    ];

     // Subscribe
     $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_subscribe_title',
        'label'    => esc_html__( 'Subscribe Title', 'bioxlab' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'GET UPDATE', 'bioxlab' ),
        'priority' => 10,

    ];
     $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_subscribe_shortcode',
        'label'    => esc_html__( 'Subscribe Form Shortcode', 'bioxlab' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '', 'bioxlab' ),
        'priority' => 10,
    ];

    // Instagram Feed
    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_instagram_title',
        'label'    => esc_html__( 'Instagram Feed Title', 'bioxlab' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'CHEACK INSTAGRAM POST', 'bioxlab' ),
        'priority' => 10,
        
    ];
        $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_instagram_shortcode',
        'label'    => esc_html__( 'Instagram Feed Shortcode', 'bioxlab' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '', 'bioxlab' ),
        'priority' => 10,
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_side_fields' );

/*
_header_page_title_fields
 */
function _header_page_title_fields( $fields ) {
    // Breadcrumb Setting
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'breadcrumb_bg_img',
        'label'       => esc_html__( 'Breadcrumb Background Image', 'bioxlab' ),
        'description' => esc_html__( 'Breadcrumb Background Image', 'bioxlab' ),
        'section'     => 'breadcrumb_setting',
        'default'     => get_template_directory_uri() . '/assets/img/page-title/page-title.jpg',
    ];
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'bioxlab_breadcrumb_bg_color',
        'label'       => __( 'Breadcrumb BG Color', 'bioxlab' ),
        'description' => esc_html__( 'This is a Breadcrumb bg color control.', 'bioxlab' ),
        'section'     => 'breadcrumb_setting',
        'default'     => '#171151',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'breadcrumb_info_switch',
        'label'    => esc_html__( 'Breadcrumb Info switch', 'bioxlab' ),
        'section'  => 'breadcrumb_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];

    return $fields;
}
add_filter( 'kirki/fields', '_header_page_title_fields' );

/*
Header Social
 */
function _header_blog_fields( $fields ) {
// Blog Setting
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'bioxlab_blog_btn_switch',
        'label'    => esc_html__( 'Blog BTN On/Off', 'bioxlab' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'bioxlab_blog_cat',
        'label'    => esc_html__( 'Blog Category Meta On/Off', 'bioxlab' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'bioxlab_blog_author',
        'label'    => esc_html__( 'Blog Author Meta On/Off', 'bioxlab' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'bioxlab_blog_date',
        'label'    => esc_html__( 'Blog Date Meta On/Off', 'bioxlab' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];
    $fields[] = [
        'type'     => 'switch',
        'settings' => 'bioxlab_blog_comments',
        'label'    => esc_html__( 'Blog Comments Meta On/Off', 'bioxlab' ),
        'section'  => 'blog_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_blog_btn',
        'label'    => esc_html__( 'Blog Button text', 'bioxlab' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Read More', 'bioxlab' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title',
        'label'    => esc_html__( 'Blog Title', 'bioxlab' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog', 'bioxlab' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title_details',
        'label'    => esc_html__( 'Blog Details Title', 'bioxlab' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog Details', 'bioxlab' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_blog_fields' );

/*
Footer
 */
function _header_footer_fields( $fields ) {
    // Footer Setting
    $fields[] = [
        'type'        => 'radio-image',
        'settings'    => 'choose_default_footer',
        'label'       => esc_html__( 'Choose Footer Style', 'bioxlab' ),
        'section'     => 'footer_setting',
        'default'     => '5',
        'placeholder' => esc_html__( 'Select an option...', 'bioxlab' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'footer-style-1'   => get_template_directory_uri() . '/inc/img/footer/footer-1.png',
            'footer-style-2' => get_template_directory_uri() . '/inc/img/footer/footer-2.png',
            'footer-style-3' => get_template_directory_uri() . '/inc/img/footer/footer-3.png',
        ],
        'default'     => 'footer-style-1',
    ];

    $fields[] = [
        'type'        => 'select',
        'settings'    => 'footer_widget_number',
        'label'       => esc_html__( 'Widget Number', 'bioxlab' ),
        'section'     => 'footer_setting',
        'default'     => '4',
        'placeholder' => esc_html__( 'Select an option...', 'bioxlab' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            '4' => esc_html__( 'Widget Number 4', 'bioxlab' ),
            '3' => esc_html__( 'Widget Number 3', 'bioxlab' ),
            '2' => esc_html__( 'Widget Number 2', 'bioxlab' ),
        ],
    ];

    $fields[] = [
        'type'        => 'image',
        'settings'    => 'bioxlab_footer_bg',
        'label'       => esc_html__( 'Footer Background Image.', 'bioxlab' ),
        'description' => esc_html__( 'Footer Background Image.', 'bioxlab' ),
        'section'     => 'footer_setting',
    ];

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'bioxlab_footer_bg_color',
        'label'       => __( 'Footer BG Color', 'bioxlab' ),
        'description' => esc_html__( 'This is a Footer bg color control.', 'bioxlab' ),
        'section'     => 'footer_setting',
        'default'     => '#171151',
        'priority'    => 10,
    ];

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_style_2_switch',
        'label'    => esc_html__( 'Footer Style 2 On/Off', 'bioxlab' ),
        'section'  => 'footer_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];    

    $fields[] = [
        'type'     => 'switch',
        'settings' => 'footer_style_3_switch',
        'label'    => esc_html__( 'Footer Style 3 On/Off', 'bioxlab' ),
        'section'  => 'footer_setting',
        'default'  => '1',
        'priority' => 10,
        'choices'  => [
            'on'  => esc_html__( 'Enable', 'bioxlab' ),
            'off' => esc_html__( 'Disable', 'bioxlab' ),
        ],
    ];

    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'bioxlab_footer_menu',
        'label'    => esc_html__( 'Footer Menu', 'bioxlab' ),
        'section'  => 'footer_setting',
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_copyright',
        'label'    => esc_html__( 'Copy Right', 'bioxlab' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( 'Copyright &copy; 2023 Theme_Pure. All Rights Reserved', 'bioxlab' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_footer_fields' );

// color
function bioxlab_color_fields( $fields ) {
    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'bioxlab_color_option',
        'label'       => __( 'Primary Color', 'bioxlab' ),
        'description' => esc_html__( 'This is a primary color control.', 'bioxlab' ),
        'section'     => 'color_setting',
        'default'     => '#2b4eff',
        'priority'    => 10,
    ];    

    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'bioxlab_color_option_secondary',
        'label'       => __( 'Secondary Color', 'bioxlab' ),
        'description' => esc_html__( 'This is a Secondary color control.', 'bioxlab' ),
        'section'     => 'color_setting',
        'default'     => '#10D0A1',
        'priority'    => 10,
    ];

    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'bioxlab_btn_hover_color',
        'label'       => __( 'Button Hover Color Primary', 'bioxlab' ),
        'description' => esc_html__( 'This is a primary hover color control.', 'bioxlab' ),
        'section'     => 'color_setting',
        'default'     => '#2974FF',
        'priority'    => 10,
    ];
    // Color Settings
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'bioxlab_btn_hover_color_secondary',
        'label'       => __( 'Button Hover Color Secondary', 'bioxlab' ),
        'description' => esc_html__( 'This is a secondary hover color control.', 'bioxlab' ),
        'section'     => 'color_setting',
        'default'     => '#13D9A8',
        'priority'    => 10,
    ];

    return $fields;
}
add_filter( 'kirki/fields', 'bioxlab_color_fields' );

// 404
function bioxlab_404_fields( $fields ) {
    // 404 settings
    $fields[] = [
        'type'        => 'image',
        'settings'    => 'bioxlab_404_bg',
        'label'       => esc_html__( '404 Image.', 'bioxlab' ),
        'description' => esc_html__( '404 Image.', 'bioxlab' ),
        'section'     => '404_page',
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_error_heading',
        'label'    => esc_html__( 'Not Found Title', 'bioxlab' ),
        'section'  => '404_page',
        'default'  => esc_html__( '404', 'bioxlab' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_error_title',
        'label'    => esc_html__( 'Not Found Title', 'bioxlab' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Page not found', 'bioxlab' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'textarea',
        'settings' => 'bioxlab_error_desc',
        'label'    => esc_html__( '404 Description Text', 'bioxlab' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Oops! The page you are looking for does not exist. It might have been moved or deleted', 'bioxlab' ),
        'priority' => 10,
    ];
    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_error_link_text',
        'label'    => esc_html__( '404 Link Text', 'bioxlab' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Back To Home', 'bioxlab' ),
        'priority' => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', 'bioxlab_404_fields' );



/**
 * Added Fields
 */
function bioxlab_typo_fields( $fields ) {
    // typography settings
    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_body_setting',
        'label'       => esc_html__( 'Body Font', 'bioxlab' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'body',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h_setting',
        'label'       => esc_html__( 'Heading h1 Fonts', 'bioxlab' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h1',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h2_setting',
        'label'       => esc_html__( 'Heading h2 Fonts', 'bioxlab' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h2',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h3_setting',
        'label'       => esc_html__( 'Heading h3 Fonts', 'bioxlab' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h3',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h4_setting',
        'label'       => esc_html__( 'Heading h4 Fonts', 'bioxlab' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h4',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h5_setting',
        'label'       => esc_html__( 'Heading h5 Fonts', 'bioxlab' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h5',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h6_setting',
        'label'       => esc_html__( 'Heading h6 Fonts', 'bioxlab' ),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h6',
            ],
        ],
    ];
    return $fields;
}

add_filter( 'kirki/fields', 'bioxlab_typo_fields' );


/**
 * Added Fields
 */
function bioxlab_slug_setting( $fields ) {
    // slug settings
    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_ev_slug',
        'label'    => esc_html__( 'Event Slug', 'bioxlab' ),
        'section'  => 'slug_setting',
        'default'  => esc_html__( 'ourevent', 'bioxlab' ),
        'priority' => 10,
    ];

    $fields[] = [
        'type'     => 'text',
        'settings' => 'bioxlab_port_slug',
        'label'    => esc_html__( 'Portfolio Slug', 'bioxlab' ),
        'section'  => 'slug_setting',
        'default'  => esc_html__( 'ourportfolio', 'bioxlab' ),
        'priority' => 10,
    ];

    return $fields;
}

add_filter( 'kirki/fields', 'bioxlab_slug_setting' );


/**
 * This is a short hand function for getting setting value from customizer
 *
 * @param string $name
 *
 * @return bool|string
 */
function bioxlab_THEME_option( $name ) {
    $value = '';
    if ( class_exists( 'bioxlab' ) ) {
        $value = Kirki::get_option( bioxlab_get_theme(), $name );
    }

    return apply_filters( 'bioxlab_THEME_option', $value, $name );
}

/**
 * Get config ID
 *
 * @return string
 */
function bioxlab_get_theme() {
    return 'bioxlab';
}