<?php
/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package bioxlab
 */

/** 
 *
 * bioxlab header
 */

function bioxlab_check_header() {
    $bioxlab_header_style = function_exists( 'get_field' ) ? get_field( 'header_style' ) : NULL;
    $bioxlab_default_header_style = get_theme_mod( 'choose_default_header', 'header-style-1' );

    if ( $bioxlab_header_style == 'header-style-1') {
        get_template_part( 'template-parts/header/header-1' );
    } 
    elseif ( $bioxlab_header_style == 'header-style-2') {
        get_template_part( 'template-parts/header/header-2' );
    } 
    elseif ( $bioxlab_header_style == 'header-style-3') {
        get_template_part( 'template-parts/header/header-3' );
    }     
    elseif ( $bioxlab_header_style == 'header-style-4') {
        get_template_part( 'template-parts/header/header-4' );
    } 
    else {
        /** default header style **/
        if ( $bioxlab_default_header_style == 'header-style-2' ) {
            get_template_part( 'template-parts/header/header-2' );
        } 
        elseif ( $bioxlab_default_header_style == 'header-style-3' ) {
            get_template_part( 'template-parts/header/header-3' );
        }        
        elseif ( $bioxlab_default_header_style == 'header-style-4' ) {
            get_template_part( 'template-parts/header/header-4' );
        }
        else {
            get_template_part( 'template-parts/header/header-1' );
        }
    }

}
add_action( 'bioxlab_header_style', 'bioxlab_check_header', 10 );


/**
 * [bioxlab_header_lang description]
 * @return [type] [description]
 */
function bioxlab_header_lang_defualt() {
    $bioxlab_header_lang = get_theme_mod( 'bioxlab_header_lang', false );
    if ( $bioxlab_header_lang ): ?>

    <ul>
        <li><a href="javascript:void(0)" class="lang__btn"><?php print esc_html__( 'English', 'bioxlab' );?> <i class="fa-light fa-angle-down"></i></a>
        <?php do_action( 'bioxlab_language' );?>
        </li>
    </ul>

    <?php endif;?>
<?php
}

/**
 * [bioxlab_language_list description]
 * @return [type] [description]
 */
function _bioxlab_language( $mar ) {
    return $mar;
}
function bioxlab_language_list() {

    $mar = '';
    $languages = apply_filters( 'wpml_active_languages', NULL, 'orderby=id&order=desc' );
    if ( !empty( $languages ) ) {
        $mar = '<ul>';
        foreach ( $languages as $lan ) {
            $active = $lan['active'] == 1 ? 'active' : '';
            $mar .= '<li class="' . $active . '"><a href="' . $lan['url'] . '">' . $lan['translated_name'] . '</a></li>';
        }
        $mar .= '</ul>';
    } else {
        //remove this code when send themeforest reviewer team
        $mar .= '<ul>';
        $mar .= '<li><a href="#">' . esc_html__( 'English', 'bioxlab' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Bangla', 'bioxlab' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'French', 'bioxlab' ) . '</a></li>';
        $mar .= ' </ul>';
    }
    print _bioxlab_language( $mar );
}
add_action( 'bioxlab_language', 'bioxlab_language_list' );


// header logo
function bioxlab_header_logo() { ?>
      <?php
        $bioxlab_logo_on = function_exists( 'get_field' ) ? get_field( 'is_enable_sec_logo' ) : NULL;
        $bioxlab_logo = get_template_directory_uri() . '/assets/img/logo/logo.png';
        $bioxlab_logo_black = get_template_directory_uri() . '/assets/img/logo/logo-white.png';

        $bioxlab_site_logo = get_theme_mod( 'logo', $bioxlab_logo );
        $bioxlab_secondary_logo = get_theme_mod( 'secondary_logo', $bioxlab_logo_black );
      ?>

      <?php if ( !empty( $bioxlab_logo_on ) ) : ?>
         <a class="secondary-logo" href="<?php print esc_url( home_url( '/' ) );?>">
             <img src="<?php print esc_url( $bioxlab_secondary_logo );?>" alt="<?php print esc_attr__( 'logo', 'bioxlab' );?>" />
         </a>
      <?php else : ?>
         <a class="standard-logo" href="<?php print esc_url( home_url( '/' ) );?>">
             <img src="<?php print esc_url( $bioxlab_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'bioxlab' );?>" />
         </a>
      <?php endif; ?>
   <?php
}

// header logo
function bioxlab_mobile_logo() {?>
    <?php
        $bioxlab_logo = get_template_directory_uri() . '/assets/img/logo/logo.png';
        $bioxlab_site_logo = get_theme_mod( 'logo', $bioxlab_logo );
    ?>
        <a class="standard-logo" href="<?php print esc_url( home_url( '/' ) );?>">
             <img src="<?php print esc_url( $bioxlab_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'bioxlab' );?>" />
         </a>
    <?php
}

/**
 * [bioxlab_header_social_profiles description]
 * @return [type] [description]
 */
function bioxlab_header_social_profiles() {
    $bioxlab_topbar_fb_url = get_theme_mod( 'bioxlab_topbar_fb_url', __( '#', 'bioxlab' ) );
    $bioxlab_topbar_twitter_url = get_theme_mod( 'bioxlab_topbar_twitter_url', __( '#', 'bioxlab' ) );
    $bioxlab_topbar_instagram_url = get_theme_mod( 'bioxlab_topbar_instagram_url', __( '#', 'bioxlab' ) );
    $bioxlab_topbar_linkedin_url = get_theme_mod( 'bioxlab_topbar_linkedin_url', __( '#', 'bioxlab' ) );
    $bioxlab_topbar_youtube_url = get_theme_mod( 'bioxlab_topbar_youtube_url', __( '#', 'bioxlab' ) );
    $bioxlab_topbar_skype_url = get_theme_mod( 'bioxlab_topbar_skype_url', __( '#', 'bioxlab' ) );
    ?>
        
        <?php if ( !empty( $bioxlab_topbar_fb_url ) ): ?>
          <a href="<?php print esc_url( $bioxlab_topbar_fb_url );?>"><i class="fa-brands fa-facebook-f"></i></a>
        <?php endif;?>

        <?php if ( !empty( $bioxlab_topbar_twitter_url ) ): ?>
            <a href="<?php print esc_url( $bioxlab_topbar_twitter_url );?>"><i class="fa-brands fa-twitter"></i></a>
        <?php endif;?>

        <?php if ( !empty( $bioxlab_topbar_instagram_url ) ): ?>
            <a href="<?php print esc_url( $bioxlab_topbar_instagram_url );?>"><i class="fab fa-instagram"></i></a>
        <?php endif;?>

        <?php if ( !empty( $bioxlab_topbar_linkedin_url ) ): ?>
            <a href="<?php print esc_url( $bioxlab_topbar_linkedin_url );?>"><i class="fab fa-linkedin"></i></a>
        <?php endif;?>

        <?php if ( !empty( $bioxlab_topbar_youtube_url ) ): ?>
            <a href="<?php print esc_url( $bioxlab_topbar_youtube_url );?>"><i class="fa-brands fa-youtube"></i></a>
        <?php endif;?>

        <?php if ( !empty( $bioxlab_topbar_skype_url ) ): ?>
            <a href="<?php print esc_url( $bioxlab_topbar_skype_url );?>"><i class="fa-brands fa-skype"></i></a>
        <?php endif;?>
    

<?php
}

function bioxlab_footer_social_profiles() {
    $bioxlab_footer_fb_url = get_theme_mod( 'bioxlab_footer_fb_url', __( '#', 'bioxlab' ) );
    $bioxlab_footer_twitter_url = get_theme_mod( 'bioxlab_footer_twitter_url', __( '#', 'bioxlab' ) );
    $bioxlab_footer_instagram_url = get_theme_mod( 'bioxlab_footer_instagram_url', __( '#', 'bioxlab' ) );
    $bioxlab_footer_linkedin_url = get_theme_mod( 'bioxlab_footer_linkedin_url', __( '#', 'bioxlab' ) );
    $bioxlab_footer_youtube_url = get_theme_mod( 'bioxlab_footer_youtube_url', __( '#', 'bioxlab' ) );
    ?>

        <ul>
        <?php if ( !empty( $bioxlab_footer_fb_url ) ): ?>
            <li>
                <a href="<?php print esc_url( $bioxlab_footer_fb_url );?>">
                    <i class="fab fa-facebook-f"></i>
                </a>
            </li>
        <?php endif;?>

        <?php if ( !empty( $bioxlab_footer_twitter_url ) ): ?>
            <li>
                <a href="<?php print esc_url( $bioxlab_footer_twitter_url );?>">
                    <i class="fab fa-twitter"></i>
                </a>
            </li>
        <?php endif;?>

        <?php if ( !empty( $bioxlab_footer_instagram_url ) ): ?>
            <li>
                <a href="<?php print esc_url( $bioxlab_footer_instagram_url );?>">
                    <i class="fab fa-instagram"></i>
                </a>
            </li>
        <?php endif;?>

        <?php if ( !empty( $bioxlab_footer_linkedin_url ) ): ?>
            <li>
                <a href="<?php print esc_url( $bioxlab_footer_linkedin_url );?>">
                    <i class="fab fa-linkedin"></i>
                </a>
            </li>
        <?php endif;?>

        <?php if ( !empty( $bioxlab_footer_youtube_url ) ): ?>
            <li>
                <a href="<?php print esc_url( $bioxlab_footer_youtube_url );?>">
                    <i class="fab fa-youtube"></i>
                </a>
            </li>
        <?php endif;?>
        </ul>
<?php
}

/**
 * [bioxlab_header_menu description]
 * @return [type] [description]
 */
function bioxlab_header_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'Bioxlab_Navwalker_Class::fallback',
            'walker'         => new Bioxlab_Navwalker_Class,
        ] );
    ?>
    <?php
}

/**
 * [bioxlab_header_menu description]
 * @return [type] [description]
 */
function bioxlab_mobile_menu() {
    ?>
    <?php
        $bioxlab_menu = wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => '',
            'container'      => '',
            'menu_id'        => 'mobile-menu-active',
            'echo'           => false,
        ] );

    $bioxlab_menu = str_replace( "menu-item-has-children", "menu-item-has-children has-children", $bioxlab_menu );
        echo wp_kses_post( $bioxlab_menu );
    ?>
    <?php
}

/**
 * [bioxlab_search_menu description]
 * @return [type] [description]
 */
function bioxlab_header_search_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'header-search-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'Bioxlab_Navwalker_Class::fallback',
            'walker'         => new Bioxlab_Navwalker_Class,
        ] );
    ?>
    <?php
}

/**
 * [bioxlab_footer_menu description]
 * @return [type] [description]
 */
function bioxlab_footer_menu() {
    wp_nav_menu( [
        'theme_location' => 'footer-menu',
        'menu_class'     => 'm-0',
        'container'      => '',
        'fallback_cb'    => 'Bioxlab_Navwalker_Class::fallback',
        'walker'         => new Bioxlab_Navwalker_Class,
    ] );
}

/**
 *
 * bioxlab footer
 */
add_action( 'bioxlab_footer_style', 'bioxlab_check_footer', 10 );

function bioxlab_check_footer() {
    $bioxlab_footer_style = function_exists( 'get_field' ) ? get_field( 'footer_style' ) : NULL;
    $bioxlab_default_footer_style = get_theme_mod( 'choose_default_footer', 'footer-style-1' );

    if ( $bioxlab_footer_style == 'footer-style-1' ) {
        get_template_part( 'template-parts/footer/footer-1' );
    } 
    elseif ( $bioxlab_footer_style == 'footer-style-2' ) {
        get_template_part( 'template-parts/footer/footer-2' );
    } 
    elseif ( $bioxlab_footer_style == 'footer-style-3' ) {
        get_template_part( 'template-parts/footer/footer-3' );
    }
    elseif ( $bioxlab_footer_style == 'footer-style-4' ) {
        get_template_part( 'template-parts/footer/footer-4' );
    } else {

        /** default footer style **/
        if ( $bioxlab_default_footer_style == 'footer-style-2' ) {
            get_template_part( 'template-parts/footer/footer-2' );
        } 
        elseif ( $bioxlab_default_footer_style == 'footer-style-3' ) {
            get_template_part( 'template-parts/footer/footer-3' );
        } 
        elseif ( $bioxlab_default_footer_style == 'footer-style-4' ) {
            get_template_part( 'template-parts/footer/footer-4' );
        } 
        else {
            get_template_part( 'template-parts/footer/footer-1' );
        }

    }
}

// bioxlab_copyright_text
function bioxlab_copyright_text() {
   print get_theme_mod( 'bioxlab_copyright', esc_html__( '© Copyright ©2023 Theme_pure. All Rights Reserved Copyright', 'bioxlab' ) );
}



/**
 *
 * pagination
 */
if ( !function_exists( 'bioxlab_pagination' ) ) {

    function _bioxlab_pagi_callback( $pagination ) {
        return $pagination;
    }

    //page navegation
    function bioxlab_pagination( $prev, $next, $pages, $args ) {
        global $wp_query, $wp_rewrite;
        $menu = '';
        $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

        if ( $pages == '' ) {
            global $wp_query;
            $pages = $wp_query->max_num_pages;

            if ( !$pages ) {
                $pages = 1;
            }

        }

        $pagination = [
            'base'      => add_query_arg( 'paged', '%#%' ),
            'format'    => '',
            'total'     => $pages,
            'current'   => $current,
            'prev_text' => $prev,
            'next_text' => $next,
            'type'      => 'array',
        ];

        //rewrite permalinks
        if ( $wp_rewrite->using_permalinks() ) {
            $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
        }

        if ( !empty( $wp_query->query_vars['s'] ) ) {
            $pagination['add_args'] = ['s' => get_query_var( 's' )];
        }

        $pagi = '';
        if ( paginate_links( $pagination ) != '' ) {
            $paginations = paginate_links( $pagination );
            $pagi .= '<ul>';
            foreach ( $paginations as $key => $pg ) {
                $pagi .= '<li>' . $pg . '</li>';
            }
            $pagi .= '</ul>';
        }

        print _bioxlab_pagi_callback( $pagi );
    }
}


// header top bg color
function bioxlab_breadcrumb_bg_color() {
    $color_code = get_theme_mod( 'bioxlab_breadcrumb_bg_color', '#222' );
    wp_enqueue_style( 'bioxlab-custom', BIOXLAB_THEME_CSS_DIR . 'bioxlab-custom.css', [] );
    if ( $color_code != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-bg.gray-bg{ background: " . $color_code . "}";

        wp_add_inline_style( 'bioxlab-breadcrumb-bg', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'bioxlab_breadcrumb_bg_color' );

// breadcrumb-spacing top
function bioxlab_breadcrumb_spacing() {
    $padding_px = get_theme_mod( 'bioxlab_breadcrumb_spacing', '160px' );
    wp_enqueue_style( 'bioxlab-custom', BIOXLAB_THEME_CSS_DIR . 'bioxlab-custom.css', [] );
    if ( $padding_px != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-spacing{ padding-top: " . $padding_px . "}";

        wp_add_inline_style( 'bioxlab-breadcrumb-top-spacing', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'bioxlab_breadcrumb_spacing' );

// breadcrumb-spacing bottom
function bioxlab_breadcrumb_bottom_spacing() {
    $padding_px = get_theme_mod( 'bioxlab_breadcrumb_bottom_spacing', '160px' );
    wp_enqueue_style( 'bioxlab-custom', BIOXLAB_THEME_CSS_DIR . 'bioxlab-custom.css', [] );
    if ( $padding_px != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-spacing{ padding-bottom: " . $padding_px . "}";

        wp_add_inline_style( 'bioxlab-breadcrumb-bottom-spacing', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'bioxlab_breadcrumb_bottom_spacing' );

// scrollup
function bioxlab_scrollup_switch() {
    $scrollup_switch = get_theme_mod( 'bioxlab_scrollup_switch', false );
    wp_enqueue_style( 'bioxlab-custom', BIOXLAB_THEME_CSS_DIR . 'bioxlab-custom.css', [] );
    if ( $scrollup_switch ) {
        $custom_css = '';
        $custom_css .= "#scrollUp{ display: none !important;}";

        wp_add_inline_style( 'bioxlab-scrollup-switch', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'bioxlab_scrollup_switch' );

// theme color
function bioxlab_custom_color() {
    $color_code = get_theme_mod( 'bioxlab_color_option', '#0E63FF' );
    $color_code_secondary = get_theme_mod( 'bioxlab_color_option_secondary', '#10D0A1' );
    $color_code_btn_primary = get_theme_mod( 'bioxlab_btn_hover_color', '#2974FF' );
    $color_code_btn_secondary = get_theme_mod( 'bioxlab_btn_hover_color_secondary', '#13D9A8' );
    wp_enqueue_style( 'bioxlab-custom', BIOXLAB_THEME_CSS_DIR . 'bioxlab-custom.css', [] );
    if ( !empty($color_code) || !empty($color_code_secondary) || !empty($color_code_btn_primary) || !empty($color_code_btn_secondary)) {
        $custom_css = '';
        $custom_css .= "body .tp-bt-btn svg circle, body .header-top-mob svg circle { fill: " . $color_code . "}";
    

        $custom_css .= "html:root{
            --tp-icon-blue: " . $color_code . ";
            --tp-theme-blue: " . $color_code . ";
            --tp-theme-secondary: " . $color_code_secondary . ";
            --tp-icon-green: " . $color_code_secondary . "
        }";
        
        $custom_css .= "body .tp-btn::after{ background-color: " . $color_code_btn_primary . "}";
        $custom_css .= "body .tp-btn-second::after, body .header-bottom-btn::after{ background-color: " . $color_code_btn_secondary . "}";


        wp_add_inline_style( 'bioxlab-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'bioxlab_custom_color' );

// bioxlab_kses_intermediate
function bioxlab_kses_intermediate( $string = '' ) {
    return wp_kses( $string, bioxlab_get_allowed_html_tags( 'intermediate' ) );
}

function bioxlab_get_allowed_html_tags( $level = 'basic' ) {
    $allowed_html = [
        'b'      => [],
        'i'      => [],
        'u'      => [],
        'em'     => [],
        'br'     => [],
        'abbr'   => [
            'title' => [],
        ],
        'span'   => [
            'class' => [],
        ],
        'strong' => [],
        'a'      => [
            'href'  => [],
            'title' => [],
            'class' => [],
            'id'    => [],
        ],
    ];

    if ($level === 'intermediate') {
        $allowed_html['a'] = [
            'href' => [],
            'title' => [],
            'class' => [],
            'id' => [],
        ];
        $allowed_html['div'] = [
            'class' => [],
            'id' => [],
        ];
        $allowed_html['img'] = [
            'src' => [],
            'class' => [],
            'alt' => [],
        ];
        $allowed_html['del'] = [
            'class' => [],
        ];
        $allowed_html['ins'] = [
            'class' => [],
        ];
        $allowed_html['bdi'] = [
            'class' => [],
        ];
        $allowed_html['i'] = [
            'class' => [],
            'data-rating-value' => [],
        ];
    }

    return $allowed_html;
}



// WP kses allowed tags
// ----------------------------------------------------------------------------------------
function bioxlab_kses($raw){

   $allowed_tags = array(
      'a'                         => array(
         'class'   => array(),
         'href'    => array(),
         'rel'  => array(),
         'title'   => array(),
         'target' => array(),
      ),
      'abbr'                      => array(
         'title' => array(),
      ),
      'b'                         => array(),
      'blockquote'                => array(
         'cite' => array(),
      ),
      'cite'                      => array(
         'title' => array(),
      ),
      'code'                      => array(),
      'del'                    => array(
         'datetime'   => array(),
         'title'      => array(),
      ),
      'dd'                     => array(),
      'div'                    => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'dl'                     => array(),
      'dt'                     => array(),
      'em'                     => array(),
      'h1'                     => array(),
      'h2'                     => array(),
      'h3'                     => array(),
      'h4'                     => array(),
      'h5'                     => array(),
      'h6'                     => array(),
      'i'                         => array(
         'class' => array(),
      ),
      'img'                    => array(
         'alt'  => array(),
         'class'   => array(),
         'height' => array(),
         'src'  => array(),
         'width'   => array(),
      ),
      'li'                     => array(
         'class' => array(),
      ),
      'ol'                     => array(
         'class' => array(),
      ),
      'p'                         => array(
         'class' => array(),
      ),
      'q'                         => array(
         'cite'    => array(),
         'title'   => array(),
      ),
      'span'                      => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'iframe'                 => array(
         'width'         => array(),
         'height'     => array(),
         'scrolling'     => array(),
         'frameborder'   => array(),
         'allow'         => array(),
         'src'        => array(),
      ),
      'strike'                 => array(),
      'br'                     => array(),
      'strong'                 => array(),
      'data-wow-duration'            => array(),
      'data-wow-delay'            => array(),
      'data-wallpaper-options'       => array(),
      'data-stellar-background-ratio'   => array(),
      'ul'                     => array(
         'class' => array(),
      ),
      'svg' => array(
           'class' => true,
           'aria-hidden' => true,
           'aria-labelledby' => true,
           'role' => true,
           'xmlns' => true,
           'width' => true,
           'height' => true,
           'viewbox' => true, // <= Must be lower case!
       ),
       'g'     => array( 'fill' => true ),
       'title' => array( 'title' => true ),
       'path'  => array( 'd' => true, 'fill' => true,  ),
      );

   if (function_exists('wp_kses')) { // WP is here
      $allowed = wp_kses($raw, $allowed_tags);
   } else {
      $allowed = $raw;
   }

   return $allowed;
}