<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bioxlab
 */

$gallery_images = function_exists('get_field') ? get_field('gallery_images') : '';
if ( is_single() ): ?>

<article id="post-<?php the_ID();?>" <?php post_class( 'postbox__item format-standard mb-50 transition-3' );?>>
        <?php if ( !empty( $gallery_images ) ): ?>
            <div class="postbox__thumb postbox-active swiper-container w-img p-relative mb-35">
                <div class="swiper-wrapper">
                    <?php foreach ( $gallery_images as $key => $image ): ?>
                    <div class="postbox__slider-item swiper-slide">
                        <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>">
                    </div>
                    <?php endforeach;?>
                </div>
                <div class="postbox-nav">
                    <button class="postbox-slider-button-next"><i class="fa-solid fa-chevron-right"></i></button>
                    <button class="postbox-slider-button-prev"><i class="fa-solid fa-chevron-left"></i></button>
                </div>
            </div>
        <?php endif;?>

        <div class="postbox__content">
            <div class="row">
                <div class="col-lg-12">
                    <div class="postbox__content-area pb-20">
                        <!-- blog meta -->
                        <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>

                        <h3 class="postbox__title mb-35">
                            <?php the_title();?>
                        </h3>

                        <div class="postbox__text">
                        <?php the_content();?>
                            <?php
                                wp_link_pages( [
                                    'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'bioxlab' ),
                                    'after'       => '</div>',
                                    'link_before' => '<span class="page-number">',
                                    'link_after'  => '</span>',
                                ] );
                            ?>
                        </div>
                    </div>
                </div>
            </div>

            <?php if(has_tag()) : ?>
            <div class="postbox__tag-border">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <div class="postbox__tag">
                            <?php print bioxlab_get_tag();?>
                        </div>
                    </div>
                </div>
            </div>
            <?php endif;?>
        </div>
    </article>

    <?php else: ?>

    <article id="post-<?php the_ID();?>" <?php post_class( 'postbox__item format-gallery mb-60 transition-3' );?>>
        <?php if ( !empty( $gallery_images ) ): ?>
        <div class="postbox__thumb postbox-active swiper-container w-img p-relative mb-35">
            <div class="swiper-wrapper">
                <?php foreach ( $gallery_images as $key => $image ): ?>
                <div class="postbox__slider-item swiper-slide">
                    <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>">
                </div>
                <?php endforeach;?>
            </div>
            <div class="postbox-nav">
                <button class="postbox-slider-button-next"><i class="fa-solid fa-chevron-right"></i></button>
                <button class="postbox-slider-button-prev"><i class="fa-solid fa-chevron-left"></i></button>
            </div>
        </div>
        <?php endif;?>
        <div class="postbox__content">
             <!-- blog meta -->
             <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>

            <h3 class="postbox__title mb-20">
                <a href="<?php the_permalink();?>"><?php the_title();?></a>
            </h3>

            <div class="postbox__text mb-40">
                <?php the_excerpt();?>
            </div>

             <!-- blog btn -->
             <?php get_template_part( 'template-parts/blog/blog-btn' ); ?>
           
        </div>
    </article>

<?php
endif;?>


