<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bioxlab
 */

$bioxlab_video_url = function_exists( 'get_field' ) ? get_field( 'fromate_style' ) : NULL;

if ( is_single() ): 
?>
    <article id="post-<?php the_ID();?>" <?php post_class( 'postbox__item format-video mb-50 transition-3' );?>>
        <?php if ( has_post_thumbnail() ): ?>
            <div class="postbox__thumb postbox__video p-relative w-img mb-35">
                <a href="<?php the_permalink();?>">
                    <?php the_post_thumbnail( 'full', ['class' => 'img-responsive'] );?>
                </a>
                <?php if(!empty($bioxlab_video_url)) : ?>
                <a href="<?php print esc_url( $bioxlab_video_url );?>" class="play-btn popup-video"><i class="fas fa-play"></i></a>
                <?php endif; ?>
            </div>
        <?php endif; ?>

        <div class="postbox__content">
            <div class="row">
                <div class="col-lg-12">
                    <div class="postbox__content-area pb-20">
                        <!-- blog meta -->
                        <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>

                        <h3 class="postbox__title mb-35">
                            <?php the_title();?>
                        </h3>

                        <div class="postbox__text">
                        <?php the_content();?>
                            <?php
                                wp_link_pages( [
                                    'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'bioxlab' ),
                                    'after'       => '</div>',
                                    'link_before' => '<span class="page-number">',
                                    'link_after'  => '</span>',
                                ] );
                            ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php if(has_tag()) : ?>
            <div class="postbox__tag-border">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <div class="postbox__tag">
                            <?php print bioxlab_get_tag();?>
                        </div>
                    </div>
                </div>
            </div>
            <?php endif;?>
        </div>
    </article>

<?php else: ?>

    <article id="post-<?php the_ID();?>" <?php post_class( 'postbox__item format-video mb-60 transition-3' );?>>
        <?php if ( has_post_thumbnail() ): ?>
        <div class="postbox__thumb postbox__video p-relative w-img mb-35">
            <a href="<?php the_permalink();?>">
                <?php the_post_thumbnail( 'full', ['class' => 'img-responsive'] );?>
            </a>
            <?php if(!empty($bioxlab_video_url)) : ?>
            <a href="<?php print esc_url( $bioxlab_video_url );?>" class="play-btn popup-video"><i class="fas fa-play"></i></a>
            <?php endif; ?>
        </div>
        <?php endif; ?>
        
        <div class="postbox__content">
             <!-- blog meta -->
             <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>

            <h3 class="postbox__title mb-20">
                <a href="<?php the_permalink();?>"><?php the_title();?></a>
            </h3>

            <div class="postbox__text mb-40">
                <?php the_excerpt();?>
            </div>

             <!-- blog btn -->
             <?php get_template_part( 'template-parts/blog/blog-btn' ); ?>
           
        </div>
    </article>

<?php
endif;?>


