<?php 

/**
 * Template part for displaying footer layout two
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bioxlab
*/
$bioxlab_footer_menu = get_theme_mod( 'bioxlab_footer_menu' );
$footer_bg_img = get_theme_mod( 'bioxlab_footer_bg' );
// $bioxlab_footer_logo = get_theme_mod( 'bioxlab_footer_logo' );
// $bioxlab_footer_top_space = function_exists('get_field') ? get_field('bioxlab_footer_top_space') : '0';
$bioxlab_copyright_center = $bioxlab_footer_menu ? 'col-xl-6 col-lg-6 col-md-12 col-12' : 'col-xl-12 col-lg-12 col-md-12 col-12 text-center';
$bioxlab_footer_bg_url_from_page = function_exists( 'get_field' ) ? get_field( 'bioxlab_footer_bg' ) : '';
$bioxlab_footer_bg_color_from_page = function_exists( 'get_field' ) ? get_field( 'bioxlab_footer_bg_color' ) : '';
$footer_bg_color = get_theme_mod( 'bioxlab_footer_bg_color' );
$footer_top_space = get_theme_mod( 'bioxlab_footer_top_space' );
$footer_copyright_switch = get_theme_mod( 'footer_copyright_switch', false );

// bg image
$bg_img = !empty( $bioxlab_footer_bg_url_from_page['url'] ) ? $bioxlab_footer_bg_url_from_page['url'] : $footer_bg_img;

// bg color
$bg_color = !empty( $bioxlab_footer_bg_color_from_page ) ? $bioxlab_footer_bg_color_from_page : $footer_bg_color;

// footer space
$footer_space = !empty( $bioxlab_footer_top_space ) ? $bioxlab_footer_top_space : $footer_top_space;

$footer_columns = 0;
$footer_widgets = get_theme_mod( 'footer_widget_number', 4 );

for ( $num = 1; $num <= $footer_widgets; $num++ ) {
    if ( is_active_sidebar( 'footer-2-' . $num ) ) {
        $footer_columns++;
    }
}

switch ( $footer_columns ) {
case '1':
    $footer_class[1] = 'col-lg-12';
    break;
case '2':
    $footer_class[1] = 'col-lg-6 col-md-6';
    $footer_class[2] = 'col-lg-6 col-md-6';
    break;
case '3':
    $footer_class[1] = 'col-xl-4 col-lg-6 col-md-5';
    $footer_class[2] = 'col-xl-4 col-lg-6 col-md-7';
    $footer_class[3] = 'col-xl-4 col-lg-6';
    break;
case '4':
    $footer_class[1] = 'col-lg-4 col-md-6';
    $footer_class[2] = 'col-lg-3 col-md-6';
    $footer_class[3] = 'col-lg-2 col-md-6';
    $footer_class[4] = 'col-lg-3 col-md-6';
    break;
default:
    $footer_class = 'col-xl-3 col-lg-3 col-md-6';
    break;
}

?>

<!-- footer-area -->
<footer class="<?php if($bg_img) echo 'tp-footer-bg' ?>" data-bg-color="<?php print esc_attr( $bg_color );?>" data-background="<?php print esc_url( $bg_img );?>">
<?php if ( is_active_sidebar( 'footer-2-1' ) OR is_active_sidebar( 'footer-2-2' ) OR is_active_sidebar( 'footer-2-3' ) ): ?>
    <div class="footer-area pt-105">
        <div class="tp-footer-top pb-25">
            <div class="container">
                <div class="row">
                <?php
                if ( $footer_columns < 4 ) {
                print '<div class="col-lg-4 col-md-6">';
                dynamic_sidebar( 'footer-2-1' );
                print '</div>';

                print '<div class="col-lg-3 col-md-6">';
                dynamic_sidebar( 'footer-2-2' );
                print '</div>';

                print '<div class="col-lg-2 col-md-6">';
                dynamic_sidebar( 'footer-2-3' );
                print '</div>';

                print '<div class="col-lg-3 col-md-6">';
                dynamic_sidebar( 'footer-2-4' );
                print '</div>';
                } else {
                    for ( $num = 1; $num <= $footer_columns; $num++ ) {
                        if ( !is_active_sidebar( 'footer-2-' . $num ) ) {
                            continue;
                        }
                        print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                        dynamic_sidebar( 'footer-2-' . $num );
                        print '</div>';
                    }
                }
                ?>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
    <div class="footer-area-bottom fw-border">
        <div class="container">
            <div class="row">
                <div class="<?php echo esc_attr($bioxlab_copyright_center) ?>">
                <div class="footer-widget__copyright copyright-white">
                    <span><?php print bioxlab_copyright_text(); ?></span>
                </div>
                </div> 
                <div class="col-xl-6 col-lg-6 col-md-12 col-12">
                <div class="footer-widget__copyright-info info-direction">
                <?php if(!empty($bioxlab_footer_menu)): ?>
                    <?php echo bioxlab_kses($bioxlab_footer_menu); ?>
                <?php endif; ?>
                </div>
                </div>
            </div>
        </div>
    </div>
</footer>
<!-- footer-area-end -->
