<?php 

	/**
	 * Template part for displaying header layout two
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package bioxlab
	*/

	// info
    $bioxlab_topbar_switch = get_theme_mod( 'bioxlab_topbar_switch', false );
    $bioxlab_phone_num = get_theme_mod( 'bioxlab_phone_num', __( '+9159008855', 'bioxlab' ) );
    $bioxlab_office_time_1 = get_theme_mod( 'bioxlab_office_time_1', __( 'MONDAY - FRIDAY 09:00 AM - 05:00 PM', 'bioxlab' ) );
    $bioxlab_office_time_2 = get_theme_mod( 'bioxlab_office_time_2', __( 'SATURDAY 09:00 AM - 01:00 PM', 'bioxlab' ) );

    // contact button
	$bioxlab_button_text = get_theme_mod( 'bioxlab_button_text', __( 'BOOK APPOINTMENT', 'bioxlab' ) );
   $bioxlab_button_link = get_theme_mod( 'bioxlab_button_link', __( '#', 'bioxlab' ) );

    // header right
    $bioxlab_header_right = get_theme_mod( 'bioxlab_header_right', false );
    $bioxlab_top_col = $bioxlab_phone_num ? 'col-lg-8' : 'col-lg-12';
    $bioxlab_menu_col = $bioxlab_header_right ? 'col-lg-7' : 'col-lg-12 text-end';

   // header sticky
    $bioxlab_header_sticky = get_theme_mod( 'bioxlab_header_sticky', false );
    $bioxlab_header_sticky_enable = $bioxlab_header_sticky ? 'header-sticky' : '';

?>

<!-- header-area -->
<header class="d-none d-xl-block">
   <div class="header-custom" id="<?php echo esc_attr($bioxlab_header_sticky_enable); ?>">
      <div class="header-logo-box">
            <?php bioxlab_header_logo();?>
      </div>
      <div class="header-menu-box">
         <?php if ( !empty( $bioxlab_topbar_switch ) ): ?>
         <div class="header-menu-top">
            <div class="row align-items-center">
               <?php if ( !empty( $bioxlab_phone_num ) ): ?>
               <div class="col-lg-4">
                  <div class="header-top-mob">
                     <svg width="14" height="19" viewBox="0 0 14 19" fill="none" xmlns="http://www.w3.org/2000/svg"><circle cx="2" cy="2" r="2" fill="#0E63FF"/><circle cx="7" cy="2" r="2" fill="#0E63FF"/><circle cx="12" cy="2" r="2" fill="#0E63FF"/><circle cx="12" cy="7" r="2" fill="#0E63FF"/><circle cx="12" cy="12" r="2" fill="#0E63FF"/><circle cx="7" cy="7" r="2" fill="#0E63FF"/><circle cx="7" cy="12" r="2" fill="#0E63FF"/><circle cx="7" cy="17" r="2" fill="#0E63FF"/><circle cx="2" cy="7" r="2" fill="#0E63FF"/><circle cx="2" cy="12" r="2" fill="#0E63FF"/></svg>
                     <span><?php echo esc_html__('Help Desk :', 'bioxlab'); ?></span>
                     <a href="tel:<?php echo esc_attr($bioxlab_phone_num); ?>"> <?php echo esc_html($bioxlab_phone_num); ?> </a>
                  </div>
               </div>
               <?php endif; ?>

               <div class="<?php echo esc_attr($bioxlab_top_col); ?>">
                  <div class="header-time">
                     <?php if ( !empty( $bioxlab_office_time_1 ) ): ?>
                     <span><i class="fa-light fa-clock-ten"></i><?php echo esc_html($bioxlab_office_time_1); ?></span>
                     <?php endif; ?>
                     <?php if ( !empty( $bioxlab_office_time_2 ) ): ?>
                     <span><?php echo esc_html($bioxlab_office_time_2); ?></span>
                     <?php endif; ?>
                  </div>
               </div>
            </div>
         </div>
         <?php endif; ?>

         <div class="header-menu-bottom">
            <div class="row">
               <div class="<?php echo esc_attr($bioxlab_menu_col); ?>">
                  <div class="main-menu main-menu-second">
                     <nav id="mobile-menu" style="<?php if(empty( $bioxlab_header_right)) echo 'margin-right:50px'; ?>">
                        <?php bioxlab_header_menu();?>
                     </nav>
                  </div>
               </div>
               <?php if ( !empty( $bioxlab_header_right ) ): ?>
               <div class="col-lg-5">
                  <div class="header-cart-order d-flex align-items-center justify-content-end">
                     <div class="header-cart-list  d-flex align-items-center justify-content-end mr-50">
                        <button class="tp-menu-toggle mr-40"><i class="fa-solid fa-list"></i></button>
                        <?php if ( class_exists( 'WooCommerce' ) ) : ?>
                        <div class="tp-cart-icon-area">
                           <a href="<?php echo wc_get_cart_url(); ?>"><i class="fa-solid fa-basket-shopping"></i></a>
                           <div class="mini_shopping_cart_box"><?php woocommerce_mini_cart(); ?></div>
                        </div>
                        <?php endif; ?>
                     </div>
                     <?php if ( !empty( $bioxlab_button_text ) ): ?>
                     <a class="header-bottom-btn" href="<?php echo esc_attr($bioxlab_button_link); ?>"><?php echo esc_html($bioxlab_button_text); ?></a>
                     <?php endif; ?>
                  </div>
               </div>
               <?php endif; ?>
            </div>
         </div>
      </div>
   </div>
</header>
<!-- header-area-end -->  
      
<!-- tp-mobile-header-area start -->
<div id="<?php echo esc_attr($bioxlab_header_sticky_enable); ?>" class="tp-mobile-header-area pt-15 pb-15 d-xl-none">
   <div class="container">
      <div class="row align-items-center">
         <div class="col-md-4 col-10">
            <div class="tp-mob-logo">
                  <?php bioxlab_header_logo();?>
            </div>
         </div>
         <div class="col-md-8 col-2">
            <div class="tp-mobile-bar d-flex align-items-center justify-content-end">
               <?php if ( !empty( $bioxlab_header_right ) ): ?>
                  <?php if ( !empty( $bioxlab_phone_num ) ): ?>
                  <div class="tp-bt-btn-banner d-none d-md-block d-xl-none mr-30">
                     <a class="tp-bt-btn" href="tel:<?php echo esc_html($bioxlab_phone_num); ?>">
                        <svg width="14" height="19" viewBox="0 0 14 19" fill="none" xmlns="http://www.w3.org/2000/svg"><circle cx="2" cy="2" r="2" fill="#0E63FF"/><circle cx="7" cy="2" r="2" fill="#0E63FF"/><circle cx="12" cy="2" r="2" fill="#0E63FF"/><circle cx="12" cy="7" r="2" fill="#0E63FF"/><circle cx="12" cy="12" r="2" fill="#0E63FF"/><circle cx="7" cy="7" r="2" fill="#0E63FF"/><circle cx="7" cy="12" r="2" fill="#0E63FF"/><circle cx="7" cy="17" r="2" fill="#0E63FF"/><circle cx="2" cy="7" r="2" fill="#0E63FF"/><circle cx="2" cy="12" r="2" fill="#0E63FF"/></svg><span><?php echo esc_html__('Help Desk :', 'bioxlab'); ?></span><?php echo esc_html($bioxlab_phone_num); ?>
                     </a>
                  </div>
                  <?php endif; ?>
               <?php endif; ?>
               <button class="tp-menu-toggle"><i class="far fa-bars"></i></button>
            </div>
         </div>
      </div>
   </div>
</div>
<!-- tp-mobile-header-area end -->

<?php get_template_part( 'template-parts/header/header-side-info' ); ?>