<?php 

	/**
	 * Template part for displaying header layout three
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package bioxlab
	*/

   // info
   $bioxlab_phone_num = get_theme_mod( 'bioxlab_phone_num', __( '+9159008855', 'bioxlab' ) );

   // header right
   $bioxlab_header_right = get_theme_mod( 'bioxlab_header_right', false );

   // header sticky
    $bioxlab_header_sticky = get_theme_mod( 'bioxlab_header_sticky', false );
    $bioxlab_header_sticky_enable = $bioxlab_header_sticky ? 'header-sticky' : '';

?>
<!-- Header 3 -->

   <div class="header-layout-left theme-bg d-none d-xl-block">
      <!-- header-area -->
      <header >
         <div class="header-customss">
            <div class="header-left-logo pb-80">
                  <?php bioxlab_header_logo();?>
            </div>
            <div class="header-left-menu">
               <nav id="mobile-menu">
                  <?php bioxlab_header_menu();?>
               </nav>
            </div>
            <?php if ( !empty( $bioxlab_header_right ) ): ?>
               <?php if ( !empty( $bioxlab_phone_num ) ): ?>
               <div class="header-left-contact">
                  <span><?php echo esc_html__('Make a Call', 'bioxlab'); ?></span>
                  <a href="tel:<?php echo esc_attr($bioxlab_phone_num); ?>"><?php echo esc_html($bioxlab_phone_num); ?></a>
               </div>
               <?php endif; ?>
            <?php endif; ?>
         </div>
      </header>
      <!-- header-area-end --> 
   </div>
            
   <!-- tp-mobile-header-area start -->
   <div id="<?php echo esc_attr($bioxlab_header_sticky_enable); ?>" class="tp-mobile-header-area pt-15 pb-15 d-xl-none">
      <div class="container">
         <div class="row align-items-center">
            <div class="col-md-4 col-10">
               <div class="tp-mob-logo">
                     <?php bioxlab_mobile_logo();?>
               </div>
            </div>
            <div class="col-md-8 col-2">
               <div class="tp-mobile-bar d-flex align-items-center justify-content-end">
                  <?php if ( !empty( $bioxlab_header_right ) ): ?>
                     <?php if ( !empty( $bioxlab_phone_num ) ): ?>
                     <div class="tp-bt-btn-banner d-none d-md-block d-xl-none mr-30">
                        <a class="tp-bt-btn" href="tel:<?php echo esc_attr($bioxlab_phone_num); ?>">
                           <svg width="14" height="19" viewBox="0 0 14 19" fill="none" xmlns="http://www.w3.org/2000/svg"><circle cx="2" cy="2" r="2" fill="#0E63FF"/><circle cx="7" cy="2" r="2" fill="#0E63FF"/><circle cx="12" cy="2" r="2" fill="#0E63FF"/><circle cx="12" cy="7" r="2" fill="#0E63FF"/><circle cx="12" cy="12" r="2" fill="#0E63FF"/><circle cx="7" cy="7" r="2" fill="#0E63FF"/><circle cx="7" cy="12" r="2" fill="#0E63FF"/><circle cx="7" cy="17" r="2" fill="#0E63FF"/><circle cx="2" cy="7" r="2" fill="#0E63FF"/><circle cx="2" cy="12" r="2" fill="#0E63FF"/></svg><span><?php echo esc_html__('Help Desk :', 'bioxlab'); ?></span><?php echo esc_html($bioxlab_phone_num); ?>
                        </a>
                     </div>
                     <?php endif; ?>
                  <?php endif; ?>
                  <button class="tp-menu-toggle"><i class="far fa-bars"></i></button>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!-- tp-mobile-header-area end -->

<?php get_template_part( 'template-parts/header/header-side-info' ); ?>