<?php 

	/**
	 * Template part for displaying header layout one
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package bioxlab
	*/

	// info
   $bioxlab_phone_num = get_theme_mod( 'bioxlab_phone_num', __( '+9159008855', 'bioxlab' ) );

    $bioxlab_topbar_switch = get_theme_mod( 'bioxlab_topbar_switch', false );
    $bioxlab_address_url = get_theme_mod( 'bioxlab_address_url', __( 'https://goo.gl/maps/qzqY2PAcQwUz1BYN9', 'bioxlab' ) );
    $bioxlab_mail_id = get_theme_mod( 'bioxlab_mail_id', __( 'info@educal.com', 'bioxlab' ) );

    // contact button
	$bioxlab_button_text = get_theme_mod( 'bioxlab_button_text', __( 'Contact Us', 'bioxlab' ) );
    $bioxlab_button_link = get_theme_mod( 'bioxlab_button_link', __( '#', 'bioxlab' ) );

    // acc button
	$bioxlab_acc_button_text = get_theme_mod( 'bioxlab_acc_button_text', __( 'Login', 'bioxlab' ) );
    $bioxlab_acc_button_link = get_theme_mod( 'bioxlab_acc_button_link', __( '#', 'bioxlab' ) );

    // header right
    $bioxlab_header_right = get_theme_mod( 'bioxlab_header_right', false );
    $bioxlab_menu_col = $bioxlab_header_right ? 'col-xxl-7 col-lg-6' : 'col-xxl-10 col-lg-9 text-end';

   // header sticky
    $bioxlab_header_sticky = get_theme_mod( 'bioxlab_header_sticky', false );
    $bioxlab_header_sticky_enable = $bioxlab_header_sticky ? 'header-sticky' : '';

?>

<!-- header-area -->
<header  class="d-none d-xl-block">
   <div class="header__area tp-home-one" id="<?php echo esc_attr($bioxlab_header_sticky_enable); ?>">
      <div class="container-fluid">
         <div class="row align-items-center">
            <div class="col-xxl-2 col-lg-3">
               <div class="logo">
                  <?php bioxlab_header_logo();?>
               </div>
            </div>
            <div class="<?php echo esc_attr($bioxlab_menu_col); ?>">
               <div class="main-menu">
                  <nav id="mobile-menu">
                     <?php bioxlab_header_menu();?>
                  </nav>
               </div>
            </div>
            <?php if ( !empty( $bioxlab_header_right ) ): ?>
               <?php if ( !empty( $bioxlab_phone_num ) ): ?>
               <div class="col-xxl-3 col-lg-3 d-flex align-items-center justify-content-end">
                  <div class="tp-bt-btn-banner">
                     <a class="tp-bt-btn" href="tel:<?php echo esc_attr($bioxlab_phone_num); ?>">
                        <svg width="14" height="19" viewBox="0 0 14 19" fill="none" xmlns="http://www.w3.org/2000/svg"><circle cx="2" cy="2" r="2" fill="#0E63FF"/><circle cx="7" cy="2" r="2" fill="#0E63FF"/><circle cx="12" cy="2" r="2" fill="#0E63FF"/><circle cx="12" cy="7" r="2" fill="#0E63FF"/><circle cx="12" cy="12" r="2" fill="#0E63FF"/><circle cx="7" cy="7" r="2" fill="#0E63FF"/><circle cx="7" cy="12" r="2" fill="#0E63FF"/><circle cx="7" cy="17" r="2" fill="#0E63FF"/><circle cx="2" cy="7" r="2" fill="#0E63FF"/><circle cx="2" cy="12" r="2" fill="#0E63FF"/></svg><span><?php echo esc_html__('Help Desk :', 'bioxlab'); ?></span><?php echo esc_html($bioxlab_phone_num); ?>
                     </a>
                  </div>
               </div>
               <?php endif; ?>
            <?php endif; ?>
         </div>
      </div>
   </div>
</header>
<!-- header-area-end -->  

<!-- tp-mobile-header-area start -->
<div id="<?php echo esc_attr($bioxlab_header_sticky_enable); ?>" class="tp-mobile-header-area tp-home-lg-banner pt-15 pb-15 d-xl-none">
   <div class="container">
      <div class="row align-items-center">
         <div class="col-4">
            <div class="tp-mob-logo">
               <?php bioxlab_header_logo();?>
            </div>
         </div>
         <div class="col-8">
            <div class="tp-mobile-bar d-flex align-items-center justify-content-end">
               <?php if ( !empty( $bioxlab_header_right ) ): ?>
                  <?php if ( !empty( $bioxlab_phone_num ) ): ?>
                  <div class="tp-bt-btn-banner d-none d-md-block d-xl-none mr-30">
                     <a class="tp-bt-btn" href="tel:<?php echo esc_attr($bioxlab_phone_num); ?>">
                        <svg width="14" height="19" viewBox="0 0 14 19" fill="none" xmlns="http://www.w3.org/2000/svg"><circle cx="2" cy="2" r="2" fill="#0E63FF"/><circle cx="7" cy="2" r="2" fill="#0E63FF"/><circle cx="12" cy="2" r="2" fill="#0E63FF"/><circle cx="12" cy="7" r="2" fill="#0E63FF"/><circle cx="12" cy="12" r="2" fill="#0E63FF"/><circle cx="7" cy="7" r="2" fill="#0E63FF"/><circle cx="7" cy="12" r="2" fill="#0E63FF"/><circle cx="7" cy="17" r="2" fill="#0E63FF"/><circle cx="2" cy="7" r="2" fill="#0E63FF"/><circle cx="2" cy="12" r="2" fill="#0E63FF"/></svg><span><?php echo esc_html__('Help Desk :', 'bioxlab'); ?></span><?php echo esc_html($bioxlab_phone_num); ?>
                     </a>
                  </div>
                  <?php endif; ?>
               <?php endif; ?>
               <button class="tp-menu-toggle"><i class="far fa-bars"></i></button>
            </div>
         </div>
      </div>
   </div>
</div>
<!-- tp-mobile-header-area end -->

<?php get_template_part( 'template-parts/header/header-side-info' ); ?>