<?php 

   /**
    * Template part for displaying header side information
    *
    * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
    *
    * @package bioxlab
   */

    $bioxlab_side_hide = get_theme_mod( 'bioxlab_side_hide', false );
   //  $bioxlab_search = get_theme_mod( 'bioxlab_search', false );
    $bioxlab_side_logo = get_theme_mod( 'bioxlab_side_logo', get_template_directory_uri() . '/assets/img/logo/logo-white.png' );
    $bioxlab_extra_about_text = get_theme_mod( 'bioxlab_extra_about_text', __( 'Our mission is to ensure the generation of accurate and precise findings.', 'bioxlab' ) );

    $bioxlab_contact_title = get_theme_mod( 'bioxlab_contact_title', __( 'Contact Info', 'bioxlab' ) );
    $bioxlab_extra_address = get_theme_mod( 'bioxlab_extra_address', __( 'Ta-134/A, Gulshan Badda Link ', 'bioxlab' ) );
    $bioxlab_extra_phone = get_theme_mod( 'bioxlab_extra_phone', __( '61383766284', 'bioxlab' ) );
    $bioxlab_extra_email = get_theme_mod( 'bioxlab_extra_email', __( 'noreply@envato.com', 'bioxlab' ) );

    $bioxlab_subscribe_title = get_theme_mod( 'bioxlab_subscribe_title', __( 'GET UPDATE', 'bioxlab' ) );
    $bioxlab_subscribe_shortcode = get_theme_mod( 'bioxlab_subscribe_shortcode', __( '', 'bioxlab' ) );

    $bioxlab_instagram_title = get_theme_mod( 'bioxlab_instagram_title', __( 'CHEACK INSTAGRAM POST', 'bioxlab' ) );
    $bioxlab_instagram_shortcode = get_theme_mod( 'bioxlab_instagram_shortcode', __( '', 'bioxlab' ) );
?>


<!-- sidebar-info -->
<div class="tpsideinfo tp-side-info-area">
   <button class="tpsideinfo__close"><i class="fal fa-times"></i></button>
   <?php if ( !empty( $bioxlab_side_logo ) ): ?>
   <div class="tpsideinfo__logo mb-40">
      <a href="<?php print esc_url( home_url( '/' ) );?>"><img src="<?php print esc_url($bioxlab_side_logo); ?>" alt="<?php echo esc_attr__('logo','bioxlab'); ?>"></a>
   </div>
   <?php endif;?>

   <div class="mobile-menu"></div>

   <div class="tpsideinfo__content mb-60">
      <?php if ( !empty( $bioxlab_extra_about_text ) ): ?>
         <p class=" d-none d-xl-block"><?php echo esc_html($bioxlab_extra_about_text); ?></p>
      <?php endif;?>
      <?php if ( !empty( $bioxlab_side_hide ) ): ?>
         <?php if ( !empty( $bioxlab_contact_title ) ): ?>
            <span><?php echo esc_html($bioxlab_contact_title); ?></span>
         <?php endif;?>
         <?php if ( !empty( $bioxlab_extra_address ) ): ?>
         <a href="#"><i class="fa-solid fa-star"></i><?php echo bioxlab_kses($bioxlab_extra_address); ?></a>
         <?php endif;?>
         <?php if ( !empty( $bioxlab_extra_phone ) ): ?>
         <a href="tel:<?php echo esc_attr($bioxlab_extra_phone); ?>"><i class="fa-solid fa-star"></i> <?php echo bioxlab_kses($bioxlab_extra_phone); ?></a>
         <?php endif;?>
         <?php if ( !empty( $bioxlab_extra_email ) ): ?>
         <a href="mailto:<?php echo esc_attr($bioxlab_extra_email); ?>"><i class="fa-solid fa-star"></i><?php echo bioxlab_kses($bioxlab_extra_email); ?></a>
         <?php endif;?>
      <?php endif;?>
   </div>
   <div class="tpsideinfo__content-inputarea mb-60 d-none d-xl-block">
      <?php if ( !empty( $bioxlab_subscribe_title ) ): ?>
         <span><?php echo esc_html($bioxlab_subscribe_title); ?></span>
      <?php endif;?>
      <div class="tpsideinfo__content-inputarea-input">
         <?php if(!empty( $bioxlab_subscribe_shortcode )): ?>
         <?php print do_shortcode($bioxlab_subscribe_shortcode); ?>
         <?php else: ?>
            <p><?php echo esc_html__('Please enter subscribe form shortcode','bioxlab'); ?></p>
         <?php endif; ?>
      </div>
   </div>
   <div class="tpsideinfo__gallery mb-35 d-none d-xl-block">
      <?php if ( !empty( $bioxlab_instagram_title ) ): ?>
         <span><?php echo esc_html($bioxlab_instagram_title); ?></span>
      <?php endif;?>
      <div class="tpsideinfo__gallery-item">

         <?php if(!empty( $bioxlab_instagram_shortcode )): ?>
            <?php print do_shortcode($bioxlab_instagram_shortcode); ?>
         <?php else: ?>
            <p><?php echo esc_html__('Please enter instagram feed shortcode','bioxlab'); ?></p>
         <?php endif; ?>
      </div>
   </div>
   <?php if ( !empty( $bioxlab_side_hide ) ): ?>
   <div class="tpsideinfo__socialicon">
      <?php bioxlab_header_social_profiles(); ?>
   </div>
   <?php endif;?>
   
</div>
<!-- sidebar-info-end -->
      
<div class="body-overlay"></div>
